// File ImportNastran.h by az

#ifndef IMPORT_NASTRAN_H
#define IMPORT_NASTRAN_H

#include "ImportFormat.h"
#include <QWidget>
//#include <QThread>

class QString;
class QFile;
class QLabel;
class RTMSimulator;

/**
 * @brief Class that is used to import files in Nastran format
 */
class ImportNastran : public ImportFormat
{
    int m_numberOfNodes;
    int m_numberOfElements;

private:
    bool importNodes(QFile* pFile);
    bool importConnections(QFile* pFile);
    void read(QFile* pFile);

public:
    ImportNastran(QFile* pFile, RTMSimulator* pSimulator);
    ImportNastran(QString strFile, RTMSimulator* pSimulator);
};

#endif //IMPORT_NASTRAN_H
